# Maintainer: Richard Lees <git0@bitservices.io>
###############################################################################

pkgname=bitservices-wallpaper
pkgver=5.0.1
pkgrel=1
pkgdesc="BITServices Wallpaper"
install="${pkgname}.install"
arch=('any')
license=('none')
source=("${pkgname}.sh"
        "${pkgname}-cache.sh"
        "${pkgname}.service"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-nadia/mint-backgrounds-nadia_1.4.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-petra/mint-backgrounds-petra_1.7.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-qiana/mint-backgrounds-qiana_1.5.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-rafaela/mint-backgrounds-rafaela_1.2.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-rebecca/mint-backgrounds-rebecca_1.5.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-rosa/mint-backgrounds-rosa_1.2.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-sarah/mint-backgrounds-sarah_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-serena/mint-backgrounds-serena_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-sonya/mint-backgrounds-sonya_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-sylvia/mint-backgrounds-sylvia_1.2.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-tara/mint-backgrounds-tara_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-tessa/mint-backgrounds-tessa_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-tricia/mint-backgrounds-tricia_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-ulyana/mint-backgrounds-ulyana_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-ulyssa/mint-backgrounds-ulyssa_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-uma/mint-backgrounds-uma_1.2.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-una/mint-backgrounds-una_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-vanessa/mint-backgrounds-vanessa_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-vera/mint-backgrounds-vera_1.0.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-victoria/mint-backgrounds-victoria_1.2.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-virginia/mint-backgrounds-virginia_1.1.tar.gz"
        "http://packages.linuxmint.com/pool/main/m/mint-backgrounds-wilma/mint-backgrounds-wilma_1.1.tar.gz"
        "https://images.blz-contentstack.com/v3/assets/blt2ef8b4fee426fd3e/blte8ea71abef938927/5f468c73381cf85557b089f2/Wallpaper-1-2560.jpg"
        "https://images.hdqwalls.com/wallpapers/overwatch-2020-game-4k-6r.jpg"
        "10810311_overwatch.jpg::https://wallpaper.dog/download-wallpaper/10810311_overwatch"
        "https://i.pinimg.com/originals/aa/a5/90/aaa590d65dcfa9afac857162f11f9e82.jpg"
        "https://r4.wallpaperflare.com/wallpaper/295/350/550/hanamura-overwatch-overwatch-wallpaper-f8164d08d0d0acd8d00c813e082224da.jpg"
        "https://r4.wallpaperflare.com/wallpaper/866/876/42/overwatch-hanamura-overwatch-wallpaper-f8c63d2850e00c98008cd16e58b2145a.jpg"
        "https://www.setaswall.com/wp-content/uploads/2017/03/Artistic-Landscape-4K-Wallpaper-3840x2160.jpg"
        "https://www.pixel4k.com/wp-content/uploads/2018/10/small-memory-4k_1540749683.jpg"
        "https://w.wallhaven.cc/full/5w/wallhaven-5w2j38.jpg"
        "https://w.wallhaven.cc/full/96/wallhaven-967zyk.jpg"
        "https://w.wallhaven.cc/full/g8/wallhaven-g8kq5l.jpg"
        "https://w.wallhaven.cc/full/q6/wallhaven-q6eo5d.jpg"
        "https://w.wallhaven.cc/full/ym/wallhaven-ymwj9d.jpg"
        "https://w.wallhaven.cc/full/x6/wallhaven-x6m79l.png"
        "https://w.wallhaven.cc/full/we/wallhaven-we7djr.jpg"
        "https://w.wallhaven.cc/full/o5/wallhaven-o5rvk9.jpg"
        "https://w.wallhaven.cc/full/1p/wallhaven-1pzkww.jpg"
        "https://w.wallhaven.cc/full/gp/wallhaven-gpee1d.jpg"
        "https://w.wallhaven.cc/full/7p/wallhaven-7p5wry.jpg")

sha256sums=('5797e184625c1dffbd1deddf852203ab8acf76ca4b0e70e6991bf0c5bd80196b'
            '4908a5ddd2e1bedab8651df3f7a9675bea2be5c36d0f25824e62929f97980471'
            'eb120f7d22cf4ea9b0a4560169c038cac74c712363b8097951f65b2a78a3bb4a'
            'fa081c3ae4e909e372c41b0119c5c5a4b7beabaf05299ec1d47190dbf1368d0d'
            '4d5285838d5c59d7af8d0c5c7d66900f0583e2b26f3cf419d58d1ae1572fd9d8'
            'bdcf8c4f338f4f3825dedf87a91de746f321054509ef5df41e742e3a8f7e5106'
            'a3880fe98797d1eefcd3f9504aca0804ad071df7c1d410566ead663213b6391c'
            '91279f51c2bb6134429b9a88a84a4a0bf7857b9ad3963ac1c0c9ed7d1e0e2193'
            'aab944b3e52f49603da3be97c35bf9bbde051f8391b32df33cb55a8cec493dc9'
            '9c9b77d42ffb992d294d7337ca7fda029b499ebb15dfd6b976eee04f200c0496'
            'aa363f05c9bd1ddf6954986448632b2120b3912ce971e8707c04799858b29c7b'
            '71bd0590a2c0e2ff5b838228de63c8f1eaf6160e84bca214819f2cacf74253ba'
            '8ec8a55d8a60f30fa835f3a9d96f13fb9eecc7b9d215606fb926c0c3fbc6bb9a'
            'f82f526a7ffcc9345a40ab29189a20c89e8b09ac020c5fc2bbc20184a19c6055'
            '699bd69f85434610011fb2db6aafd44773100bd3a5b85784a48855f955112c0b'
            '955af797142654bac47a99209bfd6cac0508737f6da78af8dcd4d47e9658eb52'
            'cfe7870d506097ac6622ea1ea2498c7165f6a4a31a3d0ce52b09547e1e80d9b4'
            'b1abd4d0fe894a5fdf8c24dd592a4a2ffb7d964888ef3f0dad65526e3a5776af'
            'adccbda9ab4eb661b7797464ba3a57c2eeed18d62b50c12e0d3cd85687ee0b45'
            '42a8af8c7f18bb83743ba31ee6c2d74ba9328bbac2d28399a7218991400a6e9c'
            '8ea148cd78c01a54c1d1ea4d8bbfb8d58ba20ac03cb945014d223f09b8e42b92'
            'd328ba55a9fa231d628098e325e87f3bc017fc6a61b854542e0ee7ee6ebebc6e'
            'a8de3ae8baae5f58d037f2f329d5ece087397ef1e2d2835245ec570304a367d5'
            '7aad260184afd9512cca67071c0bba2bf8d4645824299bd1118cefc51e1fb8c8'
            '42dd75974b2c1fe5e988ad894518b9a26ae75809fac026ca74b9bbdc8061b810'
            'ee3ff53e6db36f11efaabed26c3ce500c9a74caefdd9fcf683f7fc8ef6585d5e'
            'edb484f91c36e8e5d7ad9b4bc3844842da3af8ee3d1d6e2f7d9dbbfd91f0d3de'
            'c662ba000a5e4c2d6be43e0aa6763ea52a6bc6336ca22e443fe20bf17df3ed70'
            '905ef88dae1411fa3e0a22783af27998bf0135fd4a0b5bd2ba6e2ad9f24c3670'
            '7c94b9caf1b747892da54bc3052dc2eaf0c24e8ad7377a322275bd407f5827c7'
            '3e7cbdbc7940c86e2f715af5f8fed68dc17a4bd43d89018ed442fe4668da92d5'
            '611b97c5144aba5df8bf4f3179e25b54d8ae68d667d7ec71d4b49a75dc2f28d5'
            '01c463863c64bee9370fd1bf34c731d617e3f89f25c6380f5909e1dc1e74f794'
            '46819330214e66e1a861eda6a6bfe636e7b16b36266072bb2878fbe9710ea848'
            'c958debd7b72b417e3549a7a3ecb9995dddea03335a7ab334c5f789b79182b1e'
            'e79ef3bea0ebe9a6939f7b2890571d5542f96d97691285c498a72297c4186b16'
            '1e2f42d338e301d15e307e1fbfd4ddf5ca9c521657f8bac48c3f5315e32add2b'
            '2004b7bdb026af4c417705b408a51cc25cd961a42d4e06a2b7b5cab6aac9fef9'
            'f8182e3639d630857a3e0deb8d15034e8cf194f6a89b4b169d6aecba3143aead'
            'c5585ac36713f6f7dc253a7f13d4880b5caf6fef5a64c9ab83ad3b5fba62359c'
            'd196d2558ef851e4133c65f0bd4fbb4a1547b01c0c07e244760cd7de487d2396'
            '0cc21aa17d2d61630ac9fd8c668ee05e89d3299c64502e87b7663a6a7e9af341'
            '807f118dd7cb585f4152aa516c2ffc1f38fbcf05e01fd658b338cdb51be3f74b'
            '93c7f95f9fadf5da23da8b7ec34edc0dae97d1a63659f355ce591f8e1e7186f2')

###############################################################################

prepare (){
    rm -v "${srcdir}/mint-backgrounds-nadia-1.4/backgrounds/linuxmint-nadia/Credits"
    rm -v "${srcdir}/mint-backgrounds-nadia-1.4/backgrounds/linuxmint-nadia/end_of_the_world.jpg"
    rm -v "${srcdir}/mint-backgrounds-nadia-1.4/backgrounds/linuxmint-nadia/stars.jpg"
    rm -v "${srcdir}/mint-backgrounds-nadia-1.4/backgrounds/linuxmint-nadia/sunrise_over_the_ligurian.jpg"
    rm -v "${srcdir}/mint-backgrounds-nadia-1.4/backgrounds/linuxmint-nadia/the_tree.jpg"

    rm -v "${srcdir}/mint-backgrounds-petra-1.7/backgrounds/linuxmint-petra/Credits"
    rm -v "${srcdir}/mint-backgrounds-petra-1.7/backgrounds/linuxmint-petra/rapciu_dawn.jpg"
    rm -v "${srcdir}/mint-backgrounds-petra-1.7/backgrounds/linuxmint-petra/rapciu_fresh.jpg"
    rm -v "${srcdir}/mint-backgrounds-petra-1.7/backgrounds/linuxmint-petra/rapciu_grass.jpg"
    rm -v "${srcdir}/mint-backgrounds-petra-1.7/backgrounds/linuxmint-petra/rapciu_gs1.jpg"
    rm -v "${srcdir}/mint-backgrounds-petra-1.7/backgrounds/linuxmint-petra/rapciu_hope.jpg"
    rm -v "${srcdir}/mint-backgrounds-petra-1.7/backgrounds/linuxmint-petra/rapciu_winter.jpg"

    rm -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana/Credits"
    rm -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana/9dzign_flame.png"
    rm -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana/blumblaum_3929361972.jpg"
    rm -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana/j_baer_6085443988.jpg"
    rm -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana/mattbuck007_11192835835.jpg"
    rm -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana/sayantan_7864647044.jpg"
    rm -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana/simon__syon_8652076528.jpg"
    rm -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana/simon__syon_8740855060.jpg"
    rm -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana/simon__syon_9595707303.jpg"

    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/Credits"
    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/ether_hopscotch.jpg"
    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/ether_summer_expedition.jpg"
    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/ether_x.jpg"
    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/rapciu_baltic.png"
    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/rapciu_deeper.png"
    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/rapciu_hiding.png"
    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/rapciu_horizon.png"
    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/rapciu_pearl.png"
    rm -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela/rapciu_sweets.png"

    rm -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca/Credits"
    rm -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca/havard_bjerke_8227280397.jpg"
    rm -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca/havard_bjerke_8227283979.jpg"
    rm -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca/havard_bjerke_8372550635.jpg"
    rm -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca/jebeld17_5917553766.jpg"
    rm -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca/jebeld17_6027284922.png"
    rm -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca/papalars_3441098292.jpg"
    rm -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca/papalars_9075273178.jpg"
    rm -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca/simon__syon_13865993744.jpg"

    rm -v "${srcdir}/mint-backgrounds-rosa/backgrounds/linuxmint-rosa/Credits"
    rm -v "${srcdir}/mint-backgrounds-rosa/backgrounds/linuxmint-rosa/calexil_linux_mint.png"
    rm -v "${srcdir}/mint-backgrounds-rosa/backgrounds/linuxmint-rosa/clem_lago.jpg"
    rm -v "${srcdir}/mint-backgrounds-rosa/backgrounds/linuxmint-rosa/ether_3_levels_deep.jpg"
    rm -v "${srcdir}/mint-backgrounds-rosa/backgrounds/linuxmint-rosa/ether_3_piece_suites.jpg"
    rm -v "${srcdir}/mint-backgrounds-rosa/backgrounds/linuxmint-rosa/ether_clouds_life.jpg"
    rm -v "${srcdir}/mint-backgrounds-rosa/backgrounds/linuxmint-rosa/ether_sea_foam.jpg"
    rm -v "${srcdir}/mint-backgrounds-rosa/backgrounds/linuxmint-rosa/jankaluza_electric_apple.jpg"

    rm -v "${srcdir}/mint-backgrounds-sarah/backgrounds/linuxmint-sarah/Credits"
    rm -v "${srcdir}/mint-backgrounds-sarah/backgrounds/linuxmint-sarah/hill_papergills.jpg"
    rm -v "${srcdir}/mint-backgrounds-sarah/backgrounds/linuxmint-sarah/linuxmint_widnes.jpg"

    rm -v "${srcdir}/mint-backgrounds-serena/backgrounds/linuxmint-serena/Credits"
    rm -v "${srcdir}/mint-backgrounds-serena/backgrounds/linuxmint-serena/jvasek_xmas_bokeh.jpg"

    rm -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya/Credits"
    rm -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya/jankaluza_petal.jpg"
    rm -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya/jenemark_conifer_cone.jpg"
    rm -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya/jleem_mount_saint_helens.jpg"
    rm -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya/jowens_palm.jpg"
    rm -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya/sezgin_drop.jpg"
    rm -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya/sezgin_white.jpg"
    rm -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya/sezgin_yellow.jpg"
    rm -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya/srslyguys_phragmites.jpg"

    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/Credits"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/andrzej_santorini.jpg"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/dclarke_dew.jpg"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/dolah_canyon.jpg"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/jankaluza_oil_purple.jpg"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/jankaluza_oil_red.jpg"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/jankaluza_oil_turquoise.jpg"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/sezgin_bollard.jpg"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/sezgin_flowers.jpg"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/sezgin_white.jpg"
    rm -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia/sezgin_yellow.jpg"

    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/Credits"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/bfantinatti_flower.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/emcomeau_the_process.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/jankaluza_superabstraction.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/jkosinska_sugar.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/jspires_waiting_for_the_waves.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/msager_breathtaking_place.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/oskarssylwan_symmetry.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/proskurovskiy_coffee.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/proskurovskiy_palm.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/rsmith_single_blade_of_grass.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/sezgin_being_different.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/whmii_toy_store.jpg"
    rm -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara/withluke_liberty_island.jpg"

    rm -v "${srcdir}/mint-backgrounds-tessa-1.1/backgrounds/linuxmint-tessa/Credits"
    rm -v "${srcdir}/mint-backgrounds-tessa-1.1/backgrounds/linuxmint-tessa/bfantinatti_small_leaves.jpg"
    rm -v "${srcdir}/mint-backgrounds-tessa-1.1/backgrounds/linuxmint-tessa/ibandura_fields.jpg"
    rm -v "${srcdir}/mint-backgrounds-tessa-1.1/backgrounds/linuxmint-tessa/jankaluza_thunderbird.jpg"
    rm -v "${srcdir}/mint-backgrounds-tessa-1.1/backgrounds/linuxmint-tessa/sezgin_cherry_blossoms.jpg"
    rm -v "${srcdir}/mint-backgrounds-tessa-1.1/backgrounds/linuxmint-tessa/sezgin_lily.jpg"
    rm -v "${srcdir}/mint-backgrounds-tessa-1.1/backgrounds/linuxmint-tessa/sezgin_rose.jpg"
    rm -v "${srcdir}/mint-backgrounds-tessa-1.1/backgrounds/linuxmint-tessa/tegethoff_moons.jpg"

    rm -v "${srcdir}/mint-backgrounds-tricia/backgrounds/linuxmint-tricia/Credits"
    rm -v "${srcdir}/mint-backgrounds-tricia/backgrounds/linuxmint-tricia/bfantinatti_flower.jpg"
    rm -v "${srcdir}/mint-backgrounds-tricia/backgrounds/linuxmint-tricia/bfantinatti_flower_bud.jpg"
    rm -v "${srcdir}/mint-backgrounds-tricia/backgrounds/linuxmint-tricia/bfantinatti_night_sky.jpg"
    rm -v "${srcdir}/mint-backgrounds-tricia/backgrounds/linuxmint-tricia/rbooth_derwent_reservoir.jpg"

    rm -v "${srcdir}/mint-backgrounds-ulyana/backgrounds/linuxmint-ulyana/Credits"
    rm -v "${srcdir}/mint-backgrounds-ulyana/backgrounds/linuxmint-ulyana/atran_pink.jpg"
    rm -v "${srcdir}/mint-backgrounds-ulyana/backgrounds/linuxmint-ulyana/dnevozhai_petersen.jpg"
    rm -v "${srcdir}/mint-backgrounds-ulyana/backgrounds/linuxmint-ulyana/jheston_beach.jpg"
    rm -v "${srcdir}/mint-backgrounds-ulyana/backgrounds/linuxmint-ulyana/theftiba_blue.jpg"

    rm -v "${srcdir}/mint-backgrounds-ulyssa/backgrounds/linuxmint-ulyssa/Credits"
    rm -v "${srcdir}/mint-backgrounds-ulyssa/backgrounds/linuxmint-ulyssa/fbellanger_roscoff.jpg"
    rm -v "${srcdir}/mint-backgrounds-ulyssa/backgrounds/linuxmint-ulyssa/rranwa_india.jpg"
    rm -v "${srcdir}/mint-backgrounds-ulyssa/backgrounds/linuxmint-ulyssa/sschuh_sport.jpg"

    rm -v "${srcdir}/mint-backgrounds-uma/backgrounds/linuxmint-uma/Credits"
    rm -v "${srcdir}/mint-backgrounds-uma/backgrounds/linuxmint-uma/iquesada_abstract.jpg"

    rm -v "${srcdir}/mint-backgrounds-una/backgrounds/linuxmint-una/Credits"
    rm -v "${srcdir}/mint-backgrounds-una/backgrounds/linuxmint-una/dvdijk_lamp.jpg"
    rm -v "${srcdir}/mint-backgrounds-una/backgrounds/linuxmint-una/fakurian_abstract.jpg"
    rm -v "${srcdir}/mint-backgrounds-una/backgrounds/linuxmint-una/mpiwnicki_pearl.jpg"
    rm -v "${srcdir}/mint-backgrounds-una/backgrounds/linuxmint-una/slee_blue_waves.jpg"
    rm -v "${srcdir}/mint-backgrounds-una/backgrounds/linuxmint-una/ybindra_stairs.jpg"

    rm -v "${srcdir}/mint-backgrounds-vanessa/backgrounds/linuxmint-vanessa/Credits"
    rm -v "${srcdir}/mint-backgrounds-vanessa/backgrounds/linuxmint-vanessa/constantin_blue_lines.jpg"
    rm -v "${srcdir}/mint-backgrounds-vanessa/backgrounds/linuxmint-vanessa/dbossarte_miksang.jpg"
    rm -v "${srcdir}/mint-backgrounds-vanessa/backgrounds/linuxmint-vanessa/ehesry_tennis.jpg"
    rm -v "${srcdir}/mint-backgrounds-vanessa/backgrounds/linuxmint-vanessa/fakurian_purple.jpg"
    rm -v "${srcdir}/mint-backgrounds-vanessa/backgrounds/linuxmint-vanessa/rlopes_santorini.jpg"
    rm -v "${srcdir}/mint-backgrounds-vanessa/backgrounds/linuxmint-vanessa/w_pink.jpg"

    rm -v "${srcdir}/mint-backgrounds-vera/backgrounds/linuxmint-vera/Credits"
    rm -v "${srcdir}/mint-backgrounds-vera/backgrounds/linuxmint-vera/aburden_frozen.jpg"
    rm -v "${srcdir}/mint-backgrounds-vera/backgrounds/linuxmint-vera/jhuber_snow.jpg"
    rm -v "${srcdir}/mint-backgrounds-vera/backgrounds/linuxmint-vera/lvillasmil_cracked.jpg"
    rm -v "${srcdir}/mint-backgrounds-vera/backgrounds/linuxmint-vera/mnohassi_calm.jpg"
    rm -v "${srcdir}/mint-backgrounds-vera/backgrounds/linuxmint-vera/msaeling_germany.jpg"

    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/Credits"
    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/bfantinatti_orchid.jpg"
    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/bfantinatti_rose.jpg"
    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/bmansuri_interior_design.jpg"
    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/jrinke_italy.jpg"
    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/lherrera_retro.jpg"
    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/ndhnhu_vietnam.jpg"
    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/pczerwinski_pink.jpg"
    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/tgouw_dubai.jpg"
    rm -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria/vfriedl_hepatica.jpg"

    rm -v "${srcdir}/mint-backgrounds-virginia/backgrounds/linuxmint-virginia/Credits"
    rm -v "${srcdir}/mint-backgrounds-virginia/backgrounds/linuxmint-virginia/constantin_stripes.jpg"
    rm -v "${srcdir}/mint-backgrounds-virginia/backgrounds/linuxmint-virginia/mnohassi_morocco.jpg"
    rm -v "${srcdir}/mint-backgrounds-virginia/backgrounds/linuxmint-virginia/mpiwnicki_sky.jpg"
    rm -v "${srcdir}/mint-backgrounds-virginia/backgrounds/linuxmint-virginia/tmossholder_cladding.jpg"
    rm -v "${srcdir}/mint-backgrounds-virginia/backgrounds/linuxmint-virginia/zkaiyv_temple.jpg"

    rm -v "${srcdir}/mint-backgrounds-wilma/backgrounds/linuxmint-wilma/Credits"
    rm -v "${srcdir}/mint-backgrounds-wilma/backgrounds/linuxmint-wilma/jcorl_eclipse.jpg"
    rm -v "${srcdir}/mint-backgrounds-wilma/backgrounds/linuxmint-wilma/meiying_body_of_water.jpg"
    rm -v "${srcdir}/mint-backgrounds-wilma/backgrounds/linuxmint-wilma/mfakurian_abstract.jpg"
    rm -v "${srcdir}/mint-backgrounds-wilma/backgrounds/linuxmint-wilma/mpiwnicki_palm.jpg"
    rm -v "${srcdir}/mint-backgrounds-wilma/backgrounds/linuxmint-wilma/mpiwnicki_sunset.jpg"
    rm -v "${srcdir}/mint-backgrounds-wilma/backgrounds/linuxmint-wilma/slee_earth.jpg"
}

###############################################################################

package() {
    install -d "${pkgdir}/etc/profile.d"
    install -d "${pkgdir}/usr/bin"
    install -d "${pkgdir}/usr/lib/systemd/system"
    install -d "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources"

    install -m700 "${srcdir}/${pkgname}.sh" "${pkgdir}/usr/bin/${pkgname}.sh"
    install -m644 "${srcdir}/${pkgname}-cache.sh" "${pkgdir}/etc/profile.d/${pkgname}-cache.sh"
    install -m644 "${srcdir}/${pkgname}.service" "${pkgdir}/usr/lib/systemd/system/${pkgname}.service"

    cp -v "${srcdir}/mint-backgrounds-nadia-1.4/backgrounds/linuxmint-nadia"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-petra-1.7/backgrounds/linuxmint-petra"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-qiana-1.5/backgrounds/linuxmint-qiana"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-rafaela-1.2/backgrounds/linuxmint-rafaela"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-rebecca-1.5/backgrounds/linuxmint-rebecca"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-rosa/backgrounds/linuxmint-rosa"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-sarah/backgrounds/linuxmint-sarah"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-serena/backgrounds/linuxmint-serena"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-sonya/backgrounds/linuxmint-sonya"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-sylvia/backgrounds/linuxmint-sylvia"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-tara/backgrounds/linuxmint-tara"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-tessa-1.1/backgrounds/linuxmint-tessa"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-tricia/backgrounds/linuxmint-tricia"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-ulyana/backgrounds/linuxmint-ulyana"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-ulyssa/backgrounds/linuxmint-ulyssa"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-uma/backgrounds/linuxmint-uma"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-una/backgrounds/linuxmint-una"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-vanessa/backgrounds/linuxmint-vanessa"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-vera/backgrounds/linuxmint-vera"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-victoria/backgrounds/linuxmint-victoria"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-virginia/backgrounds/linuxmint-virginia"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"
    cp -v "${srcdir}/mint-backgrounds-wilma/backgrounds/linuxmint-wilma"/* "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/"

    cp -v "${srcdir}/Wallpaper-1-2560.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/sc-ii-wallpaper-01.jpg"

    cp -v "${srcdir}/overwatch-2020-game-4k-6r.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/ow-ii-wallpaper-01.jpg"
    cp -v "${srcdir}/10810311_overwatch.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/ow-ii-wallpaper-02.jpg"
    cp -v "${srcdir}/aaa590d65dcfa9afac857162f11f9e82.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/ow-ii-wallpaper-04.jpg"
    cp -v "${srcdir}/hanamura-overwatch-overwatch-wallpaper-f8164d08d0d0acd8d00c813e082224da.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/ow-ii-wallpaper-05.jpg"
    cp -v "${srcdir}/overwatch-hanamura-overwatch-wallpaper-f8c63d2850e00c98008cd16e58b2145a.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/ow-ii-wallpaper-06.jpg"

    cp -v "${srcdir}/Artistic-Landscape-4K-Wallpaper-3840x2160.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-Artistic-Landscape-4K-Wallpaper-3840x2160.jpg"
    cp -v "${srcdir}/small-memory-4k_1540749683.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-small-memory-4k_1540749683.jpg"
    cp -v "${srcdir}/wallhaven-5w2j38.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-5w2j38.jpg"
    cp -v "${srcdir}/wallhaven-967zyk.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-967zyk.jpg"
    cp -v "${srcdir}/wallhaven-g8kq5l.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-g8kq5l.jpg"
    cp -v "${srcdir}/wallhaven-q6eo5d.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-q6eo5d.jpg"
    cp -v "${srcdir}/wallhaven-ymwj9d.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-ymwj9d.jpg"

    cp -v "${srcdir}/wallhaven-x6m79l.png" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-x6m79l.png"
    cp -v "${srcdir}/wallhaven-we7djr.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-we7djr.jpg"
    cp -v "${srcdir}/wallhaven-o5rvk9.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-o5rvk9.jpg"
    cp -v "${srcdir}/wallhaven-1pzkww.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-1pzkww.jpg"
    cp -v "${srcdir}/wallhaven-gpee1d.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-gpee1d.jpg"
    cp -v "${srcdir}/wallhaven-7p5wry.jpg" "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources/custom-wallhaven-7p5wry.jpg"

    chmod 644 "${pkgdir}/usr/share/backgrounds/Bitservices Wallpaper Sources"/*
}

###############################################################################
